Get Execution
GET
/api/v1/projects/{project_id}/solve/executions/{execution_id}
const url = 'https://aura.strangeworks.com/api/v1/projects/example/solve/executions/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://aura.strangeworks.com/api/v1/projects/example/solve/executions/example \ --header 'Authorization: Bearer <token>'Get a single solve execution by ID.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”project_id
required
Project Id
string
execution_id
required
Execution Id
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
ExecutionResponse
object
created_at
required
Created At
string format: date-time
id
required
Id
string
input_file_ids
Any of:
Array<string>
null
is_test
Is Test
boolean
project_id
required
Project Id
string
status
required
Status
string
triggered_by
required
Triggered By
string
Example
{ "is_test": false, "status": "completed"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}